Bug 195948 - xend service startup spews error on non-Xen kernel
Summary: xend service startup spews error on non-Xen kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-06-19 20:20 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 20:33:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2006-06-19 20:20:21 UTC
Description of problem:
The 'xend' service, which is enabled by default, spews an error message when it
attempts to start when run on a non-Xen kernel.

Version-Release number of selected component (if applicable):
3.0.2-8

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel-2.6.16-1.2289_FC6
2. /sbin/service xend start
  
Actual results:
grep: /proc/xen/capabilities: No such file or directory

Expected results:
Something else, probably.

Comment 1 Jeremy Katz 2006-06-19 21:22:59 UTC
The initscript should check and if not on a xen kernel (maybe just by checking
if [ -d /proc/xen]), exit silently.

Comment 2 Jeremy Katz 2006-09-21 20:33:40 UTC
This is fixed now


Note You need to log in before you can comment on or make changes to this bug.